Supported sources
curl --request GET \
--url https://api.hotglue.com/{env_id}/{flow_id}/supportedSources \
--header 'x-api-key: <api-key>'import requests
url = "https://api.hotglue.com/{env_id}/{flow_id}/supportedSources"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.hotglue.com/{env_id}/{flow_id}/supportedSources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"tap": "shopify",
"tags": [
"ecommerce"
],
"domain": "shopify.com",
"label": "Shopify",
"type": "api",
"icon": "https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/shopify.svg",
"auto_support": true,
"connect_ui_params": {
"api_key": {
"label": "API Key",
"description": "Shopify API Key",
"type": "password"
},
"shop": {
"label": "Shop",
"description": "Shopify shop name (ie. the value test_shop in the string https://test_shop.myshopify.com)"
}
},
"config": {
"start_date": "2015-01-01T00:00:00.000Z"
},
"fieldMap": {
"shop": {
"name": "shop",
"selected": [
"id",
"name",
"domain"
]
}
}
}
]{}Source metadata
Supported sources
Returns all of the sources that are enabled in a particular flow
GET
/
{env_id}
/
{flow_id}
/
supportedSources
Supported sources
Authorizations
Query Parameters
Request the catalog of available fields/data to be returned in the payload
Response
200
Example:
"shopify"
Example:
"shopify.com"
Example:
"Shopify"
Example:
"api"
Example:
"https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/shopify.svg"
Example:
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I